Skip to main content

Mark all notifications as read (deprecated)

PUT/v2/notifications/status
API version
v2
Request method
PUT
Operation ID
notifications-read-all-notifications-deprecated

Request​

Responses​

Format
application/json
Description

OK

  • statusstring (one of: read, unread)required
Content-Type: application/json

{
"status": "read"
}
{
"properties": {
"status": {
"enum": [
"read",
"unread"
],
"type": "string"
}
},
"required": [
"status"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X PUT \
-d '{}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/notifications/status
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.notification.notificationsReadAllNotificationsDeprecated({
"data": {}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Notification\NotificationsReadAllNotificationsDeprecated\NotificationsReadAllNotificationsDeprecatedRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Notification\NotificationsReadAllNotificationsDeprecated\NotificationsReadAllNotificationsDeprecatedRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// NotificationsReadAllNotificationsDeprecatedRequestBody to learn how to construct a valid instance
$body = new NotificationsReadAllNotificationsDeprecatedRequestBody(/* TODO: ... */);

$request = (new NotificationsReadAllNotificationsDeprecatedRequest(
body: $body
));
$response = $client->notification()->notificationsReadAllNotificationsDeprecated($request);

var_dump($response->getBody();

On this page